## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csSoftFontCacheImpl< Tpixel, Tpixmixer > Class Template Reference
[Common Plugin Classes]

An actual implementation of a font cache for software canvases. More...

`#include <csplugincommon/canvas/softfontcacheimpl.h>`

Inheritance diagram for csSoftFontCacheImpl< Tpixel, Tpixmixer >:

[legend]
List of all members.

## Public Member Functions

| csSoftFontCacheImpl (csGraphics2D *G2D)
virtual void | WriteString (iFont *font, int x, int y, int fg, int bg, const utf8_char *text, uint flags)
| Draw a string.

## Detailed Description

### template<class Tpixel, class Tpixmixer>
class csSoftFontCacheImpl< Tpixel, Tpixmixer >

An actual implementation of a font cache for software canvases.

Templated to allow flexible support for different pixel formats. Tpixel defines how a pixel is stored in video memory (usually uint16 or uint32), Tpixmixer defines the color encoding.

Definition at line 41 of file softfontcacheimpl.h.

## Member Function Documentation

template<class Tpixel, class Tpixmixer>
virtual void csSoftFontCacheImpl< Tpixel, Tpixmixer >::WriteString | ( | iFont * | font,
|  | int | x,
|  | int | y,
|  | int | fg,
|  | int | bg,
|  | const utf8_char * | text,
|  | uint | flags
| ) | `[inline, virtual]`

| Draw a string. Reimplemented from csFontCache. Definition at line 47 of file softfontcacheimpl.h. References csG2DDrawText< Tpixel, Tpixmixer1, Tpixmixer2, Tpixmixer3 >::DrawText(), and SplitAlpha().

The documentation for this class was generated from the following file:

- csplugincommon/canvas/softfontcacheimpl.h